from messagebus import (
    TokenCreator,
    TokenPriority,
)


DAILY_GOALS_GROUP = "38"


def _create_token(number):
    # type: (str) -> int

    return TokenCreator.create_token(
        priority=TokenPriority.low,
        message_group=DAILY_GOALS_GROUP,
        number=number,
    )


TK_DAILY_GOALS_UPDATE_GOALS = _create_token("1")
TK_DAILY_GOALS_UPDATE_TOTAL_SOLD = _create_token("2")
TK_DAILY_GOALS_GET_SALES_CHALLENGE = _create_token("4")
TK_DAILY_GOALS_INSERT_SALES_CHALLENGE = _create_token("5")
TK_DAILY_GOALS_DELETE_SALES_CHALLENGE = _create_token("6")
TK_DAILY_GOALS_UPDATE_SALES_CHALLENGE = _create_token("7")
